Skip to main content
PUT
/
networks
/
creatives
/
{creativeId}
Update Creative
curl --request PUT \
  --url https://api.eflow.team/v1/networks/creatives/{creativeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_id": 123,
  "name": "<string>",
  "creative_type": "image",
  "is_private": true,
  "creative_status": "active",
  "html_code": "<string>",
  "width": 123,
  "height": 123,
  "email_from": "<string>",
  "email_subject": "<string>",
  "additional_offer_ids": [
    123
  ],
  "is_apply_specific_affiliates": true,
  "resource_file": {
    "temp_url": "<string>",
    "original_file_name": "<string>"
  },
  "html_files": [
    {
      "temp_url": "<string>",
      "original_file_name": "<string>"
    }
  ],
  "html_assets": [
    {
      "content_type": "<string>",
      "filename": "<string>",
      "url": "<string>",
      "file_size": 123,
      "image_width": 123,
      "image_height": 123
    }
  ]
}
'
{
  "network_offer_creative_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "name": "<string>",
  "creative_type": "image",
  "is_private": true,
  "creative_status": "active",
  "resource_url": "<string>",
  "html_code": "<string>",
  "width": 123,
  "height": 123,
  "email_from": "<string>",
  "email_subject": "<string>",
  "time_created": 123,
  "time_saved": 123,
  "additional_offer_ids": [
    123
  ],
  "is_apply_specific_affiliates": true,
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "resource_asset": {
      "network_asset_id": 123,
      "content_type": "<string>",
      "filename": "<string>",
      "url": "<string>",
      "file_size": 123,
      "image_width": 123,
      "image_height": 123
    }
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

creativeId
integer
required

The creative ID.

Body

application/json
network_offer_id
integer
required

The ID of the offer this creative belongs to.

name
string
required

Creative name.

creative_type
enum<string>
required

Type of creative.

Available options:
image,
html,
thumbnail,
email,
archive,
video,
text,
link
is_private
boolean

Whether the creative is private.

creative_status
enum<string>

Status of the creative.

Available options:
active,
deleted
html_code
string

HTML code (required for html and email types).

width
integer

Width in pixels (required for html type).

height
integer

Height in pixels (required for html type).

email_from
string

From address (required for email type).

email_subject
string

Subject line (required for email type).

additional_offer_ids
integer[]

Additional offer IDs to associate this creative with.

is_apply_specific_affiliates
boolean

Whether this creative is restricted to specific affiliates.

resource_file
object

Resource file for image, thumbnail, archive, and video types.

html_files
object[]

HTML files (for html and email types).

html_assets
object[]

Additional HTML assets.

Response

200 - application/json

OK

network_offer_creative_id
integer

Unique creative ID.

network_id
integer

Network ID.

network_offer_id
integer

Associated offer ID.

name
string

Creative name.

creative_type
enum<string>

Type of creative.

Available options:
image,
html,
thumbnail,
email,
archive,
video,
text,
link
is_private
boolean

Whether the creative is private.

creative_status
enum<string>

Status of the creative.

Available options:
active,
paused,
deleted
resource_url
string

URL to the creative resource file.

html_code
string

HTML code (for html/email types).

width
integer

Width in pixels (for image/html types).

height
integer

Height in pixels (for image/html types).

email_from
string

From address (for email type).

email_subject
string

Subject line (for email type).

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

additional_offer_ids
integer[] | null

Additional offer IDs this creative is associated with.

is_apply_specific_affiliates
boolean

Whether this creative is restricted to specific affiliates.

relationship
object